Subject: Re: [Nicolas Graves] Re: bug#30642: LibreOffice crashes with 'org.gtk.Settings.FileChooser' is not installed error

From: Liliana Marie Prikler <[email-masked]>
Date: Wed, 22 Jan 2025 19:00:52 +0100

Am Mittwoch, dem 22.01.2025 um 16:14 +0100 schrieb Nicolas Graves:
> On 2025-01-22 12:22, 45mg wrote:
> 
> > 45mg <[email-masked]> writes:
> > 
> > > guix shell --pure coreutils sed libreoffice -- libreoffice
> > 
> > Argh, typo. Should have been:
> > 
> > guix shell --pure gtk+ coreutils sed libreoffice -- libreoffice
> 
> Thanks for investigating.  I'll either wrap or hardcode coreutils and
> sed to be able to launch that properly, we can update to the next
> version at the same time too. 
> 
> Regarding gtk+, I don't really know if propagating it is done in such
> cases. Adding a member of the gnome team for input on that subject,
> @Liliana ?
Propagating gtk+ into user profiles is less than ideal.  I think we
could wrap XDG_DATA_DIRS to get the schema located.

Cheers